> For the complete documentation index, see [llms.txt](https://docs.countercyclical.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.countercyclical.io/~/changes/ZwrMx5xpgOpgFGNOVADb/developers/endpoints.md).

# Endpoints

{% hint style="info" %}
API keys are scoped to the permission of the workspace member who created the key. Some endpoints may not be accessible subject to the permissions that workspace member has.

To get the most widely available API permissions, it's recommended that workspace admins or owners create the API key and share (in a limited capacity) with team members as need be. You can always rotate your keys&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.countercyclical.io/~/changes/ZwrMx5xpgOpgFGNOVADb/developers/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
